Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl.mapper
Class InMemoryMapper

    java.lang.Object
      org.jbpm.runtime.manager.impl.mapper.InMemoryMapper

All Implemented Interfaces:
  org.kie.internal.runtime.manager.Mapper

    public class InMemoryMapper

extends Object
implements org.kie.internal.runtime.manager.Mapper

An in-memory implementation of the context to `KieSession` identifier mapping. Used only when the `RuntimeManager` is used without persistence.

Constructor Summary
`InMemoryMapper()`

Method Summary
`Object` | `findContextId(Integer ksessionId, String ownerId)`
`Integer` | `findMapping(Context<?> context, String ownerId)`
`boolean` | `hasContext(Integer ksessionId)`
`void` | `removeMapping(Context<?> context, String ownerId)`
`void` | `saveMapping(Context<?> context, Integer ksessionId, String ownerId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryMapper

    public InMemoryMapper()

Method Detail

### saveMapping

    public void saveMapping(Context<?> context,
                            Integer ksessionId,
                            String ownerId)

  Specified by:
    `saveMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### findMapping

    public Integer findMapping(Context<?> context,
                               String ownerId)

  Specified by:
    `findMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### removeMapping

    public void removeMapping(Context<?> context,
                              String ownerId)

  Specified by:
    `removeMapping` in interface `org.kie.internal.runtime.manager.Mapper`

### findContextId

    public Object findContextId(Integer ksessionId,
                                String ownerId)

  Specified by:
    `findContextId` in interface `org.kie.internal.runtime.manager.Mapper`

### hasContext

    public boolean hasContext(Integer ksessionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.